Get claim document
import requests
url = "https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/ \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Documents
Get claim document
Documents below one parent resource: upload, list, download, delete.
GET
/
v2
/
claims
/
{claim_id}
/
documents
/
{id}
/
Get claim document
import requests
url = "https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/claims/{claim_id}/documents/{id}/ \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
Headers
Path Parameters
Response
Resource representation with a native UUID id.
Why processing failed when status is failed; null otherwise. page_limit_exceeded: PDF above the 100-page ceiling; encrypted: password-protected PDF; corrupt: bytes could not be parsed; unsupported: content type not accepted; processing_failed: any other processing error.
Available options:
page_limit_exceeded, encrypted, corrupt, unsupported, processing_failed 